#!/usr/bin/python
# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# setup.py
#  
# script d'installation de la librairie eole-prelude-server
#       
###########################################################################

from distutils.core import setup
import os, glob

data = [('/etc/init.d/', glob.glob('init/*'))]
data.append(('/etc/logrotate.d/', ['logrotate/eole-prelude-server']))
for lang in os.listdir('i18n'):
    if not lang.startswith('.'):
        data.append(('/usr/share/locale/%s/LC_MESSAGES' % lang, glob.glob('i18n/%s/LC_MESSAGES/*.mo' % lang)))

setup(
    author='eole',
    author_email='eole@ac-dijon.fr',
    name='eole-prelude-server',
    version='1.0',
    description='serveur xmlrpc pour lancement de prelude-adduser',
    url='http://www.eole.orion.education.fr',
    packages=['eole_prelude'],
    py_modules=['twisted.plugins.eole_prelude'],
    data_files = data
)

